STRINGER(1)

NAME
stringer - generates methods satisfying fmt.Stringer

SYNOPSIS
stringer

DESCRIPTION
Stringer is a tool to automate the creation of methods that satisfy the fmt.Stringer interface. Given the name of a (signed or unsigned) integer type T that has constants defined, stringer will create a new self-contained Go source file implementing "func (t T) String() string".

OPTIONS
Run stringer -help for more details.

AUTHOR

This manual page was written by Michael Stapelberg <stapelberg@debian.org>, for the Debian project (and may be used by others).